//=========================================================
//  MusE
//  Linux Music Editor
//    $Id: quant.h,v 1.1.1.1 2003/10/29 10:05:24 wschweer Exp $
//  (C) Copyright 1999,2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __QUANT_H__
#define __QUANT_H__

#include "key.h"
#include "song.h"

#include <qdialog.h>

class QComboBox;
class PosEdit;

//---------------------------------------------------------
//   QuantDialog
//---------------------------------------------------------

class QuantDialog : public QDialog
      {
      QComboBox* quant1;
      QComboBox* quant2;
      PosEdit* tl;

      Q_OBJECT

   public:
      QuantDialog(QWidget*, const char* name=0);
      int noteQuant() const;
      int restQuant() const;
      int tick() const;
      void setTick(int);
      void setNoteQuant(int);
      void setRestQuant(int);
      };

#endif

